package cn.com.taiji.track.util;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.util.zip.GZIPInputStream;
import java.util.zip.GZIPOutputStream;

public class Gzip {

    public static byte[] compress(byte[] bytes) {

        ByteArrayOutputStream out = new ByteArrayOutputStream();

        try {

            if (bytes == null || bytes.length == 0) {

                return new byte[0];

            }

            GZIPOutputStream gzip = new GZIPOutputStream(out);

            gzip.write(bytes);
            gzip.close();
            gzip.finish();

        } catch (Exception exception) {

            exception.printStackTrace();

        } finally {

            if (out != null) {

                try {

                    out.close();

                } catch (IOException e) {

                    e.getMessage();
                }

            }
        }

        return out.toByteArray();


    }

    /**
     * GZIP解压缩
     *
     * @param bytes
     * @return
     */
    public static byte[] uncompress(byte[] bytes) {

        if (bytes == null || bytes.length == 0) {

            return null;
        }

        ByteArrayOutputStream out = new ByteArrayOutputStream();

        ByteArrayInputStream in = new ByteArrayInputStream(bytes);

        try {
            GZIPInputStream unGzip = new GZIPInputStream(in);

            byte[] buffer = new byte[256];
            int n;

            while ((n = unGzip.read(buffer)) >= 0) {

                out.write(buffer, 0, n);
            }
        } catch (Exception exception) {

            exception.printStackTrace();


        }

        return out.toByteArray();
    }
}
